Subject: SPAHS Insurance
From: "Jack Berndt" <[email-masked]>
To: "Cuca" <[email-masked]>
Date: Wed, 9 Feb 2011 15:34:50 -0600

Have looked at our insurance policy Jim & at this time we do not have any kind of coverage for objects (or whatever) brought into Tripp on a temporary loan basis. We do of course for items that we own. In talking with others who have more museum experience than I do, this apparently is not unusual for a small museum. Which is to say, the onus is on the person making the loan to make sure that their homeowners insurance would provide coverage. I just checked today & found out that my homeowners would cover any loan that I made to a museum. And if it was a rare piece, it would be up to me to prove to them the appraised worth, so the coverage would be more than just the face value. 

All that said, next week a couple of us on the Board are meeting with Lise Meyer K???? & will take closer look at a policy that she has put together for us. It includes Bailee coverage - up to $5000 for a collection & something like $2400 for a single item. The overall pol looks good to me, but will get a second opinion & need to run it past the Board in a couple weeks when we meet again.